#
# Conditional build:
%bcond_with	gnutls	# GnuTLS instead of OpenSSL for AES

Summary:	C library for reading, creating, and modifying zip archives
Summary(pl.UTF-8):	Biblioteka C do odczytu, zapisu i modyfikacji archiwów zip
Name:		libzip
Version:	1.7.3
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://libzip.org/download/%{name}-%{version}.tar.xz
# Source0-md5:	c0185e10023963bbec0e0002ab39d981
URL:		https://libzip.org/
BuildRequires:	bzip2-devel
BuildRequires:	cmake >= 3.0.2
BuildRequires:	groff
%{?with_gnutls:BuildRequires:	gnutls-devel}
%{?with_gnutls:BuildRequires:	nettle-devel >= 3.0}
%{!?with_gnutls:BuildRequires:	openssl-devel}
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	xz-devel >= 1:5.2
BuildRequires:	zlib-devel >= 1.1.2
Requires:	zlib >= 1.1.2
Requires:	xz-libs >= 1:5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libzip is a C library for reading, creating, and modifying zip
archives. Files can be added from data buffers, files or compressed
data copied directly from other zip archives. Changes made without
closing the archive can be reverted.

%description -l pl.UTF-8
libzip jest biblioteką C do odczytu, zapisu i modyfikacji archiwów
zip. Pliki mogą być dodawane z buforów, plików lub skompresowanych
danych kopiowanych bezpośrednio z innych archiwów zip. Wykonane zmiany
mogą zostać cofnięte przed zamknięciem archiwum.

%package devel
Summary:	Header files for libzip library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libzip
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2-devel
%{?with_gnutls:Requires:	gnutls-devel}
%{?with_gnutls:Requires:	nettle-devel >= 3.0}
%{!?with_gnutls:Requires:	openssl-devel}
Requires:	xz-devel >= 1:5.2
Requires:	zlib-devel >= 1.1.2
Obsoletes:	libzip-static < 1.4.0

%description devel
Header files for libzip library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libzip.

%prep
%setup -q

%build
install -d build
cd build
# .pc file generation expects dirs relative to CMAKE_INSTALL_PREFIX
%cmake .. \
	-DCMAKE_INSTALL_BINDIR=bin \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DENABLE_COMMONCRYPTO=OFF \
	%{!?with_gnutls:-DENABLE_GNUTLS=OFF} \
	%{?with_gnutls:-DENABLE_OPENSSL=OFF}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS.md README.md THANKS
%attr(755,root,root) %{_bindir}/zipcmp
%attr(755,root,root) %{_bindir}/zipmerge
%attr(755,root,root) %{_bindir}/ziptool
%attr(755,root,root) %{_libdir}/libzip.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libzip.so.5
%{_mandir}/man1/zipcmp.1*
%{_mandir}/man1/zipmerge.1*
%{_mandir}/man1/ziptool.1*

%files devel
%defattr(644,root,root,755)
%doc API-CHANGES.md TODO.md
%attr(755,root,root) %{_libdir}/libzip.so
%{_includedir}/zip.h
%{_includedir}/zipconf.h
%{_libdir}/cmake/libzip
%{_pkgconfigdir}/libzip.pc
%{_mandir}/man3/ZIP_SOURCE_GET_ARGS.3*
%{_mandir}/man3/libzip.3*
%{_mandir}/man3/zip_*.3*
%changelog
* Thu Jul 30 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libzip.git;a=log;h=master

* Thu Jul 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 6e3f481
- updated to 1.7.3

* Sun Dec 23 2018 Jakub Bogusz <qboosh@pld-linux.org> 8549792
- obsolete -static; release 2

* Sun Dec 23 2018 Jakub Bogusz <qboosh@pld-linux.org> 48e5daa
- updated to 1.5.1
- removed obsolete upstream,rpath,multilib patches

* Fri Feb 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b78c193
- patches from fc

* Fri Feb 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8acd80d
- up to 1.4.0

* Sun Feb 26 2017 Marcin Banasiak <marcin.banasiak@gmail.com> a9097b6
- Update to 1.2.0 (note: new soname)

* Mon May 30 2016 Elan Ruusamäe <glen@delfi.ee> 8e4c494
- package ziptool program and man page

* Mon May 30 2016 Elan Ruusamäe <glen@delfi.ee> ff2be40
- up to 1.1.3

* Sun May 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 58a1b75
- updated to 1.0.1 (note: new soname, removed ziptorrent)
- removed obsolete CVE-2015-2331 patch

* Fri Apr 24 2015 Kacper Kornet <draenog@pld-linux.org> 6800fef
- fix CVE-2015-2331

* Sat Mar 07 2015 Jan Rękorajski <baggins@pld-linux.org> b23bce3
- release 2 (by relup.sh)

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> f82d385
- updated to 0.11.2
- removed fix_headers patch (zipconf.h is potentially arch-dependent and kept
in arch-dependent dir for multilib configurations); use pkg-config to get complete CFLAGS
- removed outdated php-changes patch (similar changes already upstream)

* Fri Jul 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 916db4c
- updated to 0.11.1

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 61e96d1
- up date php patch from fedora; rel 2

* Wed Mar 21 2012 Jakub Bogusz <qboosh@pld-linux.org> ae4ffd9
- updated to 0.10.1

* Mon Sep 26 2011 Elan Ruusamäe <glen@pld-linux.org> 042907d
- 0.10 resolves CVE-2011-0421

* Mon Sep 26 2011 Elan Ruusamäe <glen@pld-linux.org> cf5ebeb
- add php changes patch

* Fri Mar 25 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 8843772
- add fix_headers patch; rel 2

* Fri Mar 25 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 62b759e
- fix headers from gentoo

* Mon Mar 21 2011 Artur Frysiak <artur@frysiak.net> 6487f92
- drop libtool file

